wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Do you have a typical platform dependent issue you're battling with ? Ask it here. Make sure you mention your platform, compiler, and wxWidgets version.
Post Reply
iiuufigtt
In need of some credit
In need of some credit
Posts: 7
Joined: Sun Feb 21, 2021 6:01 am

wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by iiuufigtt » Sun Feb 21, 2021 6:08 am

Hi,

I need some help. I complied wxWidgets-3.1.4 on Mac Big Sur; then complied my own program base on wx libraries. It can run on Big Sur but it can no long run on earlier Mac OS, such as 10.13.

Is this normal?

My second issue is although my program runs well on Big Sur 11.2, its 3D scene (based on OpenGL) would fit to the whole window on Big Sur 11.2.1. Is that because 11.2.1 is not a stable release of Mac OS?

Thank you.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 5152
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by ONEEYEMAN » Sun Feb 21, 2021 5:38 pm

Hi,
How did you compiled wxWidgets?
What version of the library?
If you used configure - what was your exact configure line?

Thank you.

iiuufigtt
In need of some credit
In need of some credit
Posts: 7
Joined: Sun Feb 21, 2021 6:01 am

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by iiuufigtt » Sun Feb 21, 2021 10:48 pm

I complied wxWidgets-3.1.4 using the Terminal program.

Firstly I add a "build-release" folder, enter the folder; then typed in the following configuration

../configure --disable-shared --enable-unicode --with-opengl

After configuration, I typed "make". The whole process is completed without an error.

Then, I complied my own program based on wxWidgets library; also no problem. The program can be run on OS 11.2 but on OS 11.2.1 it has some small display issue, such as when the program window is enlarged, the content does not enlarge with it.

The main problem is that when trying to run the program on OS 10.13, etc., the OS gives a warning "Need OS 11" to run the program.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 5152
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by ONEEYEMAN » Mon Feb 22, 2021 1:36 am

Hi,
Can you try with the Git master?
Alternatively, can you try to build minimal sample and try to run it on all versions available to you?

What error if anything did you receive when you try to run on previous versions of the system?

Thank you.

iiuufigtt
In need of some credit
In need of some credit
Posts: 7
Joined: Sun Feb 21, 2021 6:01 am

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by iiuufigtt » Mon Feb 22, 2021 5:05 am

Hi,

Sorry, what is "git master"? Why do I need it?

When I try to run the program on OS 10.13, etc., the OS gives a warning "Need OS 11" to run the program.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 5152
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by ONEEYEMAN » Mon Feb 22, 2021 6:19 am

Hi,
What is the lowest OSX version you want to run your software on?

Try to do this:

Code: Select all

cd wxWidgets-3.1.4
mkdir buildCocoa
cd buildCocoa
../configure --enable-debug --with-cocoa --with-opengl --with-mac-osx-version-min=10.13
make
cd samples/minimal
make
Substitute the "10.13" with the version number you need to support.

Thank you.

iiuufigtt
In need of some credit
In need of some credit
Posts: 7
Joined: Sun Feb 21, 2021 6:01 am

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by iiuufigtt » Mon Feb 22, 2021 2:13 pm

Thank you. I know about this option: --with-mac-osx-version-min=10.X

When I configure the build, I did not specify this option and leave it as default. In the command output, I saw a line showing "--with-mac-osx-version-min=10.10"; so that means it is supposed to be compatible with OS 10.10.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 5152
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by ONEEYEMAN » Mon Feb 22, 2021 3:38 pm

Hi,
I'm not sure, but maybe it needs to be explicitly specified?

Try it.

Thank you.

iiuufigtt
In need of some credit
In need of some credit
Posts: 7
Joined: Sun Feb 21, 2021 6:01 am

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by iiuufigtt » Tue Feb 23, 2021 2:58 am

I recomplied wxWidgets-3.1.4 by

./configure --disable-debug ---disable-shared -with-cocoa --with-opengl --with-macosx-version-min=10.10

Compilation and make produce no error. I can also compile own program based on the libraries. The program can run on Big sur; however, the problem remains: it cannot run on any OS earlier than Big Sur, such as OS 10.13.

The error message is "Need Big Sur to run the app ...". In face, the file size of my program remains exactly the same; so I think --with-macosx-version-min=10.10 was already used implicitly in the previous compile.

Question: have you tried compile wxWidgets on Big Sur and then run a wxWidgets-based program on earlier Mac OS? Does it work?

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 5152
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by ONEEYEMAN » Tue Feb 23, 2021 4:21 am

Hi,
No I didn't.
But I don't have this OS, and I'm not planning the upgrade also.

You might send an E-mail to the wx-users mailing list: [urlhttp://www.wxwidgets.org/support/mailing-lists/]see here[/url], where you can rech core developers of the library.

I think with the Big Sur Apple is dropping the previous SDKs, but I'm not sure how compilation works for wxWidgets.

I would also be interested to what others have to say about that.

Thank you.

iiuufigtt
In need of some credit
In need of some credit
Posts: 7
Joined: Sun Feb 21, 2021 6:01 am

Re: wxWidgets-3.1.4 complied on Big Sur, not compatible with earlier Mac OS

Post by iiuufigtt » Tue Feb 23, 2021 2:53 pm

Thank you. I will send them an email, hopefully get some idea about what is going on.

Will update you if I got a reply.

Cheers.

Post Reply